Bug 1094094 - Copy Translations does not update the shown stats, if the language list is already loaded
Summary: Copy Translations does not update the shown stats, if the language list is al...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 3.5
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-05 04:29 UTC by Damian Jansen
Modified: 2015-01-26 23:27 UTC (History)
2 users (show)

Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-38-ga4d6abb)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 23:27:58 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Damian Jansen 2014-05-05 04:29:48 UTC
Description of problem:
If -
- the language the user is interested in is already displayed (not in unloaded pagination), and
- the user does not refresh the page

the statistics for a language after copytrans completes is not updated

Version-Release number of selected component (if applicable):
dev

How reproducible:
Easy always

Steps to Reproduce:
1. Create a project, and project version
2. Upload a document to that version
3. In the same project create a second version and add the same document
4. in version 1, translate the document in any language
5. go to version 2 and look at the stats of the document (should be 0.0%)
6. press settings, translation
7. press Copy Translations
8. Press the languages tab

Actual results:
The document shows as 0.0%

Expected results:
The document shows as 100.0% (assuming wholly translated)

Additional info:

Comment 1 Alex Eng 2014-05-29 00:05:02 UTC
Pull request:
https://github.com/zanata/zanata-server/pull/474

Comment 2 Ding-Yi Chen 2014-06-02 03:48:46 UTC
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-38-ga4d6abb)


Note You need to log in before you can comment on or make changes to this bug.